Superer Universal Hatteker Charging Cable

Download PDFFree PDF. The Save button below keeps a bookmark and private notes in your account.

Superer 1.5m USB Charging Cable User Manual

For Hatteker Hair Trimmers, Clippers, and Shavers

1. Introduction

This user manual provides essential information for the safe and effective use of your Superer 1.5m USB Charging Cable. This cable is designed to provide reliable power and charging for various Hatteker personal grooming devices.

Please read this manual thoroughly before using the product and retain it for future reference.

2. Product Overview

The Superer USB Charging Cable is a durable and efficient power solution. It features a standard USB-A connector on one end and a specialized 2-pin charging connector compatible with specific Hatteker devices on the other.

Superer USB Charging Cable with USB-A and 2-pin connector

Image: The Superer USB Charging Cable, showing both the USB-A plug and the 2-pin charging connector.

Charging port of the cable

Image: A close-up view of the 2-pin charging port of the cable, emphasizing its shape. Users should verify their device's charging port matches this shape before purchase.

Cable construction details

Image: An illustration showing the internal construction of the cable, highlighting the copper conductors and PVC sheath for durability and safety.

3. Compatibility

This USB charging cable is specifically designed for use with various Hatteker models. Please ensure your device's charging port matches the cable's 2-pin connector before use. Note: This product is not compatible with USB Type-C interface devices.

Compatible Hatteker Models:

  • Trimmers: RFC-695, RFC-696, RFC-696C, RFC-696A, RFC-588, RFC-598, RFC-686, RFC-690, RSCX-9608, HT-605
  • Shavers: RFC-7568D, RSCW-767, RSCX-9598A, RSCX-9800L, RSCW-9658, RSCX-9612
  • Hair Clippers: RFC-5918, RFC-676, RFC-692, RFC-698, RFC-667

4. Setup and Operating Instructions

4.1 Package Contents

  • 1 x Superer 1.5m USB Charging Cable

4.2 Connecting for Charging

  1. Locate the charging port on your compatible Hatteker device.
  2. Insert the 2-pin connector of the Superer USB Charging Cable firmly into the device's charging port. Ensure a secure connection.
  3. Plug the USB-A end of the cable into a standard USB power source, such as a USB wall adapter (not included), a computer's USB port, or a power bank.
  4. Confirm that your device indicates it is charging (e.g., a charging indicator light or display).
USB cable connected to a laptop and a grooming device

Image: The 1.5m (5ft) USB charging cable laid out, demonstrating its length and connection to a USB power source (laptop) and a grooming device.

4.3 Disconnecting

Once charging is complete, safely disconnect the cable by first unplugging the USB-A end from the power source, then gently removing the 2-pin connector from your Hatteker device.

5. Maintenance and Care

  • Keep the cable clean and free from dust and debris.
  • Avoid bending or kinking the cable excessively, especially near the connectors, to prevent internal wire damage.
  • Store the cable in a cool, dry place when not in use.
  • Do not expose the cable to extreme temperatures or direct sunlight for prolonged periods.
  • Although the cable features some water resistance, avoid submerging it in water or using it in excessively wet conditions.
Safety features of the cable

Image: Visual representation of the cable's safety features, including abrasion resistance, waterproof design, and high insulation tensile strength.

6. Safety Information

  • This product complies with national high-level electronic safety standards.
  • Use only with compatible Hatteker devices as listed in this manual.
  • Do not attempt to modify or repair the cable. Refer to the warranty section for service.
  • Keep out of reach of children.
  • If the cable appears damaged, discontinue use immediately.

7. Specifications

FeatureDetail
BrandSuperer
Cable TypeUSB Charging Cable
Connector Type (Device End)2-pin proprietary connector
Connector Type (Power Source End)USB Type-A
Cable Length1.5 meters (approximately 5 feet)
ColorBlack
Special FeaturePortable Design
Product Dimensions2 x 2 x 2 cm (cable coiled); 29 grams

8. Troubleshooting

If you experience issues with your Superer USB Charging Cable, please refer to the following common troubleshooting steps:

  • Device not charging: Ensure the cable is securely connected to both the device and the USB power source. Try a different USB port or power adapter. Verify that your device is listed as compatible.
  • Loose connection: Check for any debris in the charging ports of both the cable and your device. Ensure the 2-pin connector is fully inserted.
  • Cable damage: Visually inspect the cable for any cuts, kinks, or exposed wires. If damaged, discontinue use and refer to the warranty information.

9. Warranty and Support

Superer provides comprehensive support for its products:

  • 30-Day Refund Policy: This product can be replaced or refunded within 30 days of purchase.
  • 24-Month Replacement Service: The manufacturer offers an additional 24-month warranty for replacement service.

For any issues or support inquiries, please contact Superer customer service through the retailer where you purchased the product.

Warranty and support information

Image: A graphic illustrating the 24-month replacement service and 30-day refund policy, emphasizing customer support.

© 2024 Superer. All rights reserved.

Ask a question about this manual

Ask about setup, troubleshooting, compatibility, parts, safety, or missing instructions. Manuals+ will review the question and use this page’s manual context to help answer it.

After a successful submission, we securely hash the supplied account or form email before sending it to Microsoft Advertising for conversion attribution. Privacy details.